//For more information, use the readme v1.1.txt on speedrun.com/mlg/resources

state("LEGOHarryPotter", "1-4")
{
    bool Loading: 0xA28510;
    bool Head: 0x00B1BA54, 0x18, 0x8, 0x80, 0x100, 0x770;
}

state("harry2", "5-7")
{
    bool Loading: 0xC59978;
    bool Head: 0x00C38554, 0x4, 0x28, 0x18, 0x20, 0xA8, 0x94, 0x44;
}

state("LEGOPirates", "lpc")
{
    bool Loading: 0xA171A4;
    bool Head: 0x00B57874, 0xBB8;
}

state("legobatman", "lb1")
{
    bool Loading : 0x5C9998;
    bool Head: 0x006D63A0;
}

state("LEGOIndy", "lij")
{
//  bool Loading : 0x5C3D24;
    bool Head: 0x6D82F4;
}

state("LEGOIndy2", "lij2")
{
//  bool Loading: 0xC5B838;
    bool Head: 0xC9B2D4;
}

state("LEGOBatman2", "lb2")
{
    bool Head: 0x00F89F04, 0x38, 0x48, 0x34, 0x30, 0x1C, 0x40, 0x44;
}

state("LEGOStarWarsSaga", "tcs")
{
    byte status : 0x526BD0;
    bool Loading : 0x257DC84;
}


init
{
    if (modules.First().ModuleMemorySize == 16822272)
      {version = "1-4";}
    else if (modules.First().ModuleMemorySize == 18612224)
      {version = "5-7";}
    else if (modules.First().ModuleMemorySize == 17059840)
      {version = "lpc";}
    else if (modules.First().ModuleMemorySize == 41820160)
      {version = "lb1";}
    else if (modules.First().ModuleMemorySize == 41963520)
      {version = "lij";}
    else if (modules.First().ModuleMemorySize == 18903040)
      {version = "lij2";}
    else if (modules.First().ModuleMemorySize == 20738048)
      {version = "lb2";}
    else if (modules.First().ModuleMemorySize == 22962176)
      {version = "llr";}
    else if (modules.First().ModuleMemorySize == 40427520)
      {version = "tcs";}
}

split
{
    if (new String[] { "tcs" }.Contains(version)) return current.status == 1 && old.status == 0;
    return current.Head && !old.Head;
}

isLoading
{
    if (new String[] { "lij", "lij2", "lb2", "llr", "tcs" }.Contains(version)) return false;
    return current.Loading;
}

exit 
{
timer.IsGameTimePaused = false;
}


//1-4 16822272
//5-7 18612224
//lpc 17059840
//lb1 41820160
//lij 41963520
//lij2 18903040
//lb2 20738048
//llr 22962176
//tcs 40427520